For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet code count
      • GETGet voucher for a contact
      • GETGet Reward Page API
      • POSTCreate a reward
      • GETGet reward information
      • POSTCreate a voucher
      • POSTCreate redeem voucher request
      • POSTComplete redeem voucher request
      • DELRevoke vouchers
      • POSTValidate a reward
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyReward

Validate a reward

POST
https://api.brevo.com/v3/loyalty/offer/programs/:pid/rewards/validate
POST
/v3/loyalty/offer/programs/:pid/rewards/validate
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.reward.validateReward("pid", {});
8}
9main();
1{
2 "authorize": true
3}
Validates a reward.
Was this page helpful?
Previous

Get balance definition list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Request

This endpoint expects an object.
attributedRewardIdstringOptionalformat: "uuid"
Unique identifier for the attributed reward
codestringOptional
Validation code for the reward
contactIdlongOptional>=1
Unique identifier for the contact
loyaltySubscriptionIdstringOptional
Identifier for the loyalty subscription
pointOfSellIdstringOptional
Identifier for the point of sale
rewardIdstringOptionalformat: "uuid"
Unique identifier for the reward

Response

Reward successfully validated
authorizeboolean
Boolean value to authorize a reward or not

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
424
Failed Dependency Error
500
Internal Server Error